#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	Tools
Summary:	MailTools - a set of Perl modules related to mail applications
Summary(pl.UTF-8):	MailTools - zestaw modułów perlowych do pracy z pocztą i aplikacjami pocztowymi
Name:		perl-MailTools
Version:	2.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	69ee516d40011e7e92b77c6f06c0dc01
URL:		http://search.cpan.org/dist/MailTools/
BuildRequires:	perl-devel >= 1:5.8.1
%if %{with tests}
BuildRequires:	perl(Net::Domain) >= 1.05
BuildRequires:	perl(Net::SMTP) >= 1.03
BuildRequires:	perl-TimeDate
BuildRequires:	perl-libnet
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MailTools - a set of perl modules related to mail applications.

%description -l pl.UTF-8
MailTools - zestaw narzędzi do pracy z pocztą i aplikacjami
pocztowymi.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Mail/*.pod

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a README.* examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/README.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/MailTools.pm
%{perl_vendorlib}/Mail/Address.pm
%{perl_vendorlib}/Mail/Cap.pm
%{perl_vendorlib}/Mail/Field.pm
%{perl_vendorlib}/Mail/Filter.pm
%{perl_vendorlib}/Mail/Header.pm
%{perl_vendorlib}/Mail/Internet.pm
%{perl_vendorlib}/Mail/Mailer.pm
%{perl_vendorlib}/Mail/Send.pm
%{perl_vendorlib}/Mail/Util.pm
%{perl_vendorlib}/Mail/Field
%{perl_vendorlib}/Mail/Mailer
%{_mandir}/man3/MailTools.3pm*
%{_mandir}/man3/Mail*::*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MailTools.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d220746
- up to 2.21

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a6e54b0
- up to 2.20

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ec9aa4b
- up to 2.19

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b81732
- up to 2.14

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e8083a3
- up to 2.13

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0647c45
- up to 2.12

* Mon Dec 05 2011 Jakub Bogusz <qboosh@pld-linux.org> b417824
- updated perl BR (5.8.1 required now)
- check-files cleanup
- verbose files list in common perl dir (Mail)

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e4a2ae0
- up to 2.08

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c6bb64
- up to 2.04

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 322ac4c
- up to 2.02

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 425dbaf
- up to 1.77

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e454be4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 72ffee8
- converted to UTF-8

* Wed Jan 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 96d7ce3
- generic URL, unified

* Wed Jan 24 2007 qrczak <qrczak@pld-linux.org> 3599a49
- 1.74

* Sun Apr 23 2006 Elan Ruusamäe <glen@pld-linux.org> cb09b40
- adapter

* Mon May 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 49ee85f
- updated to 1.67

* Wed Dec 01 2004 radek <radek@pld-linux.org> 378d612
- autoupdated to 1.65

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7d03807
- formatting

* Sat Aug 21 2004 Adam Gołębiowski <adamg@pld-linux.org> 839637f
- updated to 1.64

